This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465777 - conman initscript requires upper-case "console" config directive
conman initscript requires upper-case "console" config directive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: conman (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 08:07 EDT by Mark McLoughlin
Modified: 2008-10-07 05:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 09:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2008-10-06 08:07:50 EDT
Strangely, the example console directive in the config file is lower case, but if you do e.g.:

  console name="serial" dev="/dev/ttyS0"

and try and start conman you get:

  $> service conman start
  Starting ConMan: 
    ERROR: No CONSOLE(s) defined!                            [FAILED]

Simple fix is:

          echo -n "Starting ConMan: "
  -       CONSOLES=`grep -c "^CONSOLE" $CONFIG`
  +       CONSOLES=`grep -ci "^CONSOLE" $CONFIG`
          RETVAL=$?
Comment 1 Jarod Wilson 2008-10-06 09:45:46 EDT
Fix committed, tagged and building for rawhide.
Comment 2 Fedora Update System 2008-10-06 17:07:14 EDT
conman-0.2.2-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/conman-0.2.2-2.fc8
Comment 3 Fedora Update System 2008-10-06 17:07:16 EDT
conman-0.2.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/conman-0.2.2-2.fc9
Comment 4 Fedora Update System 2008-10-07 05:51:43 EDT
conman-0.2.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-10-07 05:53:18 EDT
conman-0.2.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.